.. _c_api:

C API (``dlpack.h``)
====================

Macros
~~~~~~

.. doxygendefine:: DLPACK_EXTERN_C

.. doxygendefine:: DLPACK_VERSION

.. doxygendefine:: DLPACK_DLL

Enumerations
~~~~~~~~~~~~

.. doxygenenum:: DLDeviceType

.. doxygenenum:: DLDataTypeCode

Structs
~~~~~~~

.. doxygenstruct:: DLDevice
   :members:

.. doxygenstruct:: DLDataType
   :members:

.. doxygenstruct:: DLTensor
   :members:

.. doxygenstruct:: DLManagedTensor
   :members:
